Loading...
Searching...
No Matches
VPBHANDLE Struct Reference
Internal API functions » Hardware registry

Lookup table element for mapping vpb handles to a port on boardnum. More...

`#include <vpbreg.h>`

Collaboration diagram for VPBHANDLE:

## Public Types

typedef std::vector< VPBHANDLE > | List
| Container type for the lookup table.

## Public Member Functions

| VPBHANDLE (int boardnum, int port)
| Convenience constructor.

## Public Attributes

int | board
| The board number for this handle.
int | channel
| The port number for this handle.

## Detailed Description

Lookup table element for mapping vpb handles to a port on boardnum.